astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- SLSQP

# SLSQP

class `astropy.modeling.optimizers.``SLSQP`

  Bases: `astropy.modeling.optimizers.Optimization`

  Sequential Least Squares Programming optimization algorithm.

  The algorithm is described in [R9]. It supports tied and fixed parameters, as well as bounded constraints. Uses `scipy.optimize.fmin_slsqp`.

  References

  [R9] | (1, 2) http://www.netlib.org/toms/733

  Attributes Summary

  `supported_constraints` |

  Methods Summary

  `__call__`(objfunc, initval, fargs, **kwargs) | Run the solver.

  Attributes Documentation

  `supported_constraints` = [u'bounds', u'eqcons', u'ineqcons', u'fixed', u'tied']

  Methods Documentation

  `__call__`(objfunc, initval, fargs, **kwargs)

    Run the solver.

    Parameters:

    objfunc : callable

    > objection function

    initval : iterable

    > initial guess for the parameter values

    fargs : tuple

    > other arguments to be passed to the statistic function

    kwargs : dict

    > other keyword arguments to be passed to the solver